CLASS TEMPLATE UNIT(3)

NAME
boost::units::unit - class representing a model-dependent unit with no associated value

SYNOPSIS

// In header: <boost/units/unit.hpp>
template<typename Dim, typename System, typename Enable>
class unit {
public:
  // types
  typedef unit< Dim, System > unit_type;
  typedef unit< Dim, System > this_type;
  typedef Dim                 dimension_type;
  typedef System              system_type;
  // construct/copy/destruct
  unit();
  unit(const this_type &);
  unit& operator=(const this_type &);
};

DESCRIPTION

(e.g. meters, Kelvin, feet, etc...)

  unit public construct/copy/destruct

    1.

    unit();

    2.

    unit(const this_type &);

    3.

    unit& operator=(const this_type &);